Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Export.Update(ctx, operations.C1APISystemlogV1ExportServiceUpdateRequest{
ExportID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ExportServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.export.update({
exportId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/systemlog/exports/{export_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exporter": {
"datasource": {
"datasourceId": "<string>",
"prefix": "<string>"
},
"displayName": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/systemlog/exports/{export_id}"
payload = {
"exporter": {
"datasource": {
"datasourceId": "<string>",
"prefix": "<string>"
},
"displayName": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exporter: {
datasource: {datasourceId: '<string>', prefix: '<string>'},
displayName: '<string>'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/systemlog/exports/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exporter": {
"createdAt": "2023-11-07T05:31:56Z",
"datasource": {
"datasourceId": "<string>",
"prefix": "<string>"
},
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"exportId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"watermarkEventId": "<string>"
}
}System Log Exporter
Update
Update a system log export by providing an export object and an update mask.
POST
/
api
/
v1
/
systemlog
/
exports
/
{export_id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Export.Update(ctx, operations.C1APISystemlogV1ExportServiceUpdateRequest{
ExportID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ExportServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.export.update({
exportId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The exportId field.
Body
application/json
Response
200 - application/json
Successful response
The ExportServiceUpdateResponse message.
The Exporter message.
This message contains a oneof named export_to. Only a single field of the following list may be set at a time:
- datasource
Show child attributes
Show child attributes
Was this page helpful?
⌘I